<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><title>What can be searched for?</title>

<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
<meta content="Martin Haase / DAASI International" name="DC.creator" />
<meta content="2008-12-30T16:29:08.37" name="DC.date" />
<link rel="stylesheet" href="../help.css" charset="utf-8" type="text/css" /></head>
<body>
<h1 id="toc0">What Can Be Searched for?</h1>
The
<em>Research</em>
view is shown in the following picture, together with some example
values filled in the form.
<div class="frameFrame" id="Rahmen47Cframe">
<div><img alt="Research" class="frameGraphics" id="ls3" src="searchWhatImg1.png" align="middle" />
</div>
<p class="Figure">Figure: Research view
</p>
</div>
<p>The form is separated into 3 areas: the
<b>text</b>
area, the
<b>metadata</b>
area and the
<b>refine</b>
area. These will be described in turn.
</p>
<h2>Text Area</h2>
This area is labelled
<i>Search for...</i>
<h3>Text input field</h3>
Here you can specify one or more words to be searched for. If searching
for
<em>several words</em>
, they are to be separated by blank space and will be joined by AND,
i.e. all words have to occur in the document.
<em>Wildcards</em>
are allowed, e.g. the term "<b>Mess*</b>" will find all
words starting with "Mess" such as "Messer", "Messers",
"messen", "Messias", or "Messung".
<h3>KWIC</h3>
Check this box if you would like to see your results in the KWIC format
(
<b>K</b>ey
<b>W</b>ord
<b>I</b>n
<b>C</b>ontext). The search term then will be highlighted
as in the following
figure.
<div class="frameFrame" id="Rahmen48Cframe">
<div>
<img alt="Research" class="frameGraphics" id="ls4" src="searchWhatImg2.png" align="middle" />
</div><p class="Figure">
Figure: KWIC &nbsp;search results
</p></div>
<p>As the term can occur several times in a document and in
several XPaths
(the structural location within an XML document), the KWIC entries will
be shown as indirect children of the title node. This means the nodes
have to be
<em>expanded</em>
in order to reveal the KWICs. Either directly flip open the document in
question or use the
<em>Expand Button</em>
twice until the KWICs appear.
</p>
<h2>Metadata Area</h2>
This area is labelled
<i>In objects having...</i>
Whereas the Text Area looks at the
<i>contents</i>
of a document, the Metadata Area can be used for all TextGrid objects,
as every object in TextGrid has its set of metadata.
<h3>The Person field</h3>
This corresponds to the
<em>agent</em>
tag in the metadata. Specify a name or part of the name of the persons
(or institutions) which play a role in creation, edition, transcription
etc. of the document.
<h3>The Title field</h3>
This corresponds to the
<em>title</em>
tag in the metadata. Specify substrings of the title of the documents
you are looking for.
<h3>The Project field</h3>
This corresponds to the
<em>project</em>
tag in the metadata. There are two ways of naming a project: either
with
parts of its display name, or with its name known by
<em>Tg-Auth*</em>, e.g. TGPR123. The latter string can be
found in the users and project
management perspective.
<h3>The Text Genre field</h3>
This corresponds to the
<em>type</em>
tag in the metadata, and could be e.g. "dictionary" or "prose". If you
are unsure about the available genres, type some letter(s) and wait a
moment to see a suggestion of the existing genres that contain these
letter(s).
<h2>Refine Area</h2>
This area is labelled
<i>Refine search...</i>
<h3>The Baseline Elements field</h3>
Every TEI document - like dictionaries, drama, letters, critical
editions, or language corpora - is represented
<i>twice</i>
in the TextGridRep:
<ul>
<li>Once in its original encoding with possibly
document-specific TEI tags, and</li>
<li>once in the TextGrid <em>baseline encoding</em>,
which defines a subset of common elements for each text type.</li>
</ul>
When uploaded into the TextGridRep, every TEI document refers to an
adapter that will be used by
<em>Tg-Crud</em>
to map from the original encoding to the baseline encoding. Thus the
researcher does not need to know about document-specific encodings when
specifying a structural search.
<p>The elements of the baseline encoding can be entered into this
field,
e.g. "p", "div", or "head". The semantics of this is: when some tag was
given in this field, then the text specified in the
<em>Text Area</em>
must occur within this tag in the document's baseline encoding.
<i>Thus entering something in here without giving a search term
in
the text area is not intended and will keep the search from starting.</i>
</p>
<h3>The Show At Once field</h3>
You can specify whether you want all results at once or in successive
portions of a fixed size. In the first case, use the string "all" as in
the default configuration. In the latter case, type in a number to
specify the size of the desired portion, e.g. 10.
<p>This field is there for performance reasons: If you expect
your search
result to be numerous, the TextGridLab tends to slow down. Specifying a
portion of e.g. 50 will remedy this.
</p>
<h1>How to search?</h1>
Just click the button at the bottom of the Research view labelled "<em>Start
new search</em>". Remember that this can take some time if the
search result is large.
The specified fields will be
<em>joined by AND</em>, which means that every condition
(e.g. text, title, AND genre, if
those three fields are filled in) must be met.
</body></html>